Bug 102856 - "unknown logging category" messages conflict with manual
"unknown logging category" messages conflict with manual
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 17:22 EDT by Zoran Dzelajlija
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 14:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoran Dzelajlija 2003-08-21 17:22:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a) Gecko/20030618

Description of problem:
bind-9.2.1-9 doesn't recognize at least the following categories:

Aug 21 22:01:36 server1 named[473]: /etc/named.conf:118: unknown logging
category 'panic' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:119: unknown logging
category 'packet' ignored             Aug 21 22:01:36 server1 named[473]:
/etc/named.conf:122: unknown logging category 'statistics' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:124: unknown logging
category 'parser' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:125: unknown logging
category 'ncache' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:128: unknown logging
category 'db' ignored                 Aug 21 22:01:36 server1 named[473]:
/etc/named.conf:129: unknown logging category 'eventlib' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:131: unknown logging
category 'cname' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:133: unknown logging
category 'os' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:134: unknown logging
category 'insist' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:135: unknown logging
category 'maintenance' ignored        Aug 21 22:01:36 server1 named[473]:
/etc/named.conf:136: unknown logging category 'load' ignored
Aug 21 22:01:36 server1 named[473]: /etc/named.conf:137: unknown logging
category 'response-checks' ignored



Version-Release number of selected component (if applicable):
bind-9.2.1-9

How reproducible:
Always

Steps to Reproduce:
1. include logging { category ncache { default_syslog; }; } in named.conf
2. rndc reload
    

Expected Results:  It should have worked.  ;-)

Additional info:
Comment 1 Dean K. Gibson 2003-09-23 17:08:41 EDT
Several logging categories were removed from BIND 9.  None of the ones listed 
above are in the BIND 9 documentation.

Note You need to log in before you can comment on or make changes to this bug.